#ifndef AMFTODATA_API_IMPL_H_
#define AMFTODATA_API_IMPL_H_

#include <pistache/endpoint.h>
#include <pistache/http.h>
#include <pistache/router.h>
#include <memory>
#include <pistache/optional.h>
#include <string>
#include <amf_app.hpp>
#include <AmfToDataApi.h>
#include <map>

namespace oai {
namespace amf {
namespace api {


class AmfToDataApiImpl
    : public oai::amf::api::AmfToDataApi {
 public:
    
    AmfToDataApiImpl(
      std::shared_ptr<Pistache::Rest::Router>,
      amf_application::amf_app* amf_app_inst);
    ~AmfToDataApiImpl() {}

    //获取gnb列表
    void gnbs_get_am_data(
        Pistache::Http::ResponseWriter &response);
    //获取gnb列表
    void ues_get_am_data(
        Pistache::Http::ResponseWriter &response);
    
 private:
  amf_application::amf_app* m_amf_app;
};

}  // namespace api
}  // namespace amf
}  // namespace oai

#endif
